<?php
/**
 * Theme widgets.
 *
 * @package beauty_cosmetic_shop
 */

if ( ! function_exists( 'beauty_cosmetic_shop_load_widgets' ) ) :

	/**
	 * Load widgets.
	 *
	 * @since 1.0.0
	 */
	function beauty_cosmetic_shop_load_widgets() {

		// Social widget.
		register_widget( 'Beauty_Cosmetic_Shop_Footer_Widgets' );

	}

endif;

add_action( 'widgets_init', 'beauty_cosmetic_shop_load_widgets' );

if ( ! class_exists( 'Beauty_Cosmetic_Shop_Footer_Widgets' ) ) :

	/**
	 * Social widget Class.
	 *
	 * @since 1.0.0
	 */
	class Beauty_Cosmetic_Shop_Footer_Widgets extends Beauty_Cosmetic_Shop_Widget_Base {

		/**
		 * Sets up a new widget instance.
		 *
		 * @since 1.0.0
		 */
		function __construct() {

			$opts = array(
				'classname'                   => 'beauty_cosmetic_shop_widget_social',
				'description'                 => __( 'Displays social icons.', 'beauty-cosmetic-shop' ),
				'customize_selective_refresh' => true,
				);
			$fields = array(
				'title' => array(
					'label' => __( 'Title:', 'beauty-cosmetic-shop' ),
					'type'  => 'text',
					'class' => 'widefat',
					),
				);

			if ( false === has_nav_menu( 'social' ) ) {
				$fields['message'] = array(
					'label' => __( 'Social menu is not set. Please create menu and assign it to Social Menu.', 'beauty-cosmetic-shop' ),
					'type'  => 'message',
					'class' => 'widefat',
					);
			}

			parent::__construct( 'beauty-cosmetic-shop-social', __( 'Social Widget', 'beauty-cosmetic-shop' ), $opts, array(), $fields );

		}

		/**
		 * Outputs the content for the current widget instance.
		 *
		 * @since 1.0.0
		 *
		 * @param array $args     Display arguments.
		 * @param array $instance Settings for the current widget instance.
		 */
		function widget( $args, $instance ) {

			$params = $this->get_params( $instance );

			echo $args['before_widget'];

			if ( ! empty( $params['title'] ) ) {
				echo $args['before_title'] . $params['title'] . $args['after_title'];
			}

			if ( has_nav_menu( 'social' ) ) {
				wp_nav_menu( array(
					'theme_location' => 'social',
					'container'      => false,
					'depth'          => 1,
					'link_before'    => '<span class="screen-reader-text">',
					'link_after'     => '</span>',
				) );
			}

			echo $args['after_widget'];

		}
	}
endif;
